ReadCommand.Kind (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Enum ReadCommand.Kind

- java.lang.Object
- - java.lang.Enum<ReadCommand.Kind>
  - - org.apache.cassandra.db.ReadCommand.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReadCommand.Kind>
  Enclosing class:
    ReadCommand

      protected static enum ReadCommand.Kind
      extends java.lang.Enum<ReadCommand.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PARTITION_RANGE`
    `SINGLE_PARTITION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReadCommand.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReadCommand.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE_PARTITION

          public static final ReadCommand.Kind SINGLE_PARTITION

    - #### PARTITION_RANGE

          public static final ReadCommand.Kind PARTITION_RANGE

  - ### Method Detail

    - #### values

          public static ReadCommand.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadCommand.Kind c : ReadCommand.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadCommand.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation